<p align="center">
  <img alt="CometChat" src="https://assets.cometchat.io/website/images/logos/banner.png">
</p>

# Open-source Chat Widget Code for Advanced Customization

The Chat Widget simplifies the process of integrating a Chat on your website or mobile apps.
As a developer, you only need to toggle the widget's settings from our Dashboard and customize it to fit your needs. Within a few minutes, you can get started with our Chat widget.


## Prerequisites


- Register on [CometChat Dashboard](https://app.cometchat.com/signup)

- Create an app on the dashboard

- Click on the Chat Widget tab in the left navigation pane.

<img align="center" width="auto" height="auto" src="./Screenshots/chatwidget.png" /><br/>

- You will be redirected to the Chat Widget's main page.  You can create new widgets as well as see a list of your existing Chat widgets here.

<img align="center" width="auto" height="auto" src="./Screenshots/newchatwidget.png" /><br/>


## Features of Chat Widget 

You can customize your chat widget under the chat widget section on dashboard.
Chat widget settings allow you to control the UI/UX aspect of the Chat Widget.

These setting can be broadly categorized as:
1. **Global Settings** - Here you will get the details about Installation of your Chat Widget.
2. **Sidebar Settings** - These will allow you to customize the layout of Sidebar.
3. **Main Window Settings** - These will control the UI/UX of the main Conversations window.

<img align="center" width="auto" height="auto" src="./Screenshots/chatwidgetsettings.png" /><br/>

## Installation Steps

1. **Clone this repository**

```javascript
  git clone https://github.com/cometchat-pro/web-chat-widget-custom
```

2. **Navigate to the CometChatWorkspace directory and replace the URL with your website URL in the CONSTS.js file**

<img align="center" width="auto" height="auto" src="./Screenshots/constants.png" />


3. **Build the project using the below command**

```javascript
  npm run build:custom
```

4. **Copy all the files from the build directory to your website source code**

## Help and Support
For issues running the project or integrating with our UI Kits, consult our [documentation](https://www.cometchat.com/docs/v3/chat-widgets/overview) or create a [support ticket](https://help.cometchat.com/hc/en-us) or seek real-time support via the [CometChat Dashboard](https://app.cometchat.com/).
